Package io.strimzi.systemtest.utils.kafkaUtils

## Class KafkaUserUtils

- java.lang.Object
- - io.strimzi.systemtest.utils.kafkaUtils.KafkaUserUtils

-     public class KafkaUserUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `generateRandomNameOfKafkaUser()` | Generated random name for the KafkaUser resource
    `static void` | `waitForKafkaUserCreation​(String userName)` |
    `static void` | `waitForKafkaUserDeletion​(String userName)` |
    `static void` | `waitForKafkaUserIncreaseObserverGeneration​(long observation, String userName)` |
    `static void` | `waitForKafkaUserNotReady​(String userName)` |
    `static void` | `waitForKafkaUserReady​(String userName)` |
    `static void` | `waitForKafkaUserStatus​(String userName, Enum<?> state)` | Wait until KafkaUser is in desired state
    `static void` | `waitUntilKafkaUserStatusConditionIsPresent​(String userName)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### generateRandomNameOfKafkaUser

          public static String generateRandomNameOfKafkaUser()

      Generated random name for the KafkaUser resource
      Returns:
        random name with additional salt

    - #### waitForKafkaUserCreation

          public static void waitForKafkaUserCreation​(String userName)

    - #### waitForKafkaUserDeletion

          public static void waitForKafkaUserDeletion​(String userName)

    - #### waitForKafkaUserIncreaseObserverGeneration

          public static void waitForKafkaUserIncreaseObserverGeneration​(long observation,
                                                                        String userName)

    - #### waitUntilKafkaUserStatusConditionIsPresent

          public static void waitUntilKafkaUserStatusConditionIsPresent​(String userName)

    - #### waitForKafkaUserStatus

          public static void waitForKafkaUserStatus​(String userName,
                                                    Enum<?> state)

      Wait until KafkaUser is in desired state
      Parameters:
        `userName` - name of KafkaUser
        `state` - desired state

    - #### waitForKafkaUserReady

          public static void waitForKafkaUserReady​(String userName)

    - #### waitForKafkaUserNotReady

          public static void waitForKafkaUserNotReady​(String userName)